![]() | ConnectiveGeometryGetConnection Method |
Returns 2 connecting line segments between geometrySection1 and geometrySection2 sections, if sections are connected, otherwise returns empty list.
Namespace: Tekla.Structures.Model
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.1

public IList<LineSegment> GetConnection( GeometrySection geometrySection1, GeometrySection geometrySection2 )
Parameters
- geometrySection1
- Type: Tekla.Structures.ModelGeometrySection
The first GeometrySection. - geometrySection2
- Type: Tekla.Structures.ModelGeometrySection
The second GeometrySection.
Return Value
Type: IListLineSegment2 connecting line segments if sections are connected, otherwise returns empty list.
